zenilib: CFF_Decoder_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
CFF_Decoder_ Struct Reference

`#include <cffgload.h>`

## Public Attributes

FT_Fixed | buildchar [CFF_MAX_TRANS_ELEMENTS]
CFF_Builder | builder
CFF_Font | cff
FT_Int | flex_state
FT_Vector | flex_vectors [7]
FT_Byte ** | globals
FT_Int | globals_bias
FT_Byte ** | glyph_names
FT_Pos | glyph_width
FT_Render_Mode | hint_mode
FT_Byte ** | locals
FT_Int | locals_bias
FT_Pos | nominal_width
FT_Int | num_flex_vectors
FT_UInt | num_globals
FT_UInt | num_glyphs
FT_Int | num_hints
FT_UInt | num_locals
FT_Bool | read_width
FT_Bool | seac
FT_Fixed | stack [CFF_MAX_OPERANDS+1]
FT_Fixed * | top
FT_Bool | width_only
CFF_Decoder_Zone * | zone
CFF_Decoder_Zone | zones [CFF_MAX_SUBRS_CALLS+1]

## Detailed Description

Definition at line 120 of file cffgload.h.

## Member Data Documentation

FT_Fixed CFF_Decoder_::buildchar[CFF_MAX_TRANS_ELEMENTS]

Definition at line 141 of file cffgload.h.

CFF_Builder CFF_Decoder_::builder

Definition at line 122 of file cffgload.h.

Referenced by cff_operator_seac(), and cff_slot_load().

CFF_Font CFF_Decoder_::cff

Definition at line 123 of file cffgload.h.

FT_Int CFF_Decoder_::flex_state

Definition at line 131 of file cffgload.h.

FT_Vector CFF_Decoder_::flex_vectors[7]

Definition at line 133 of file cffgload.h.

FT_Byte** CFF_Decoder_::globals

Definition at line 150 of file cffgload.h.

FT_Int CFF_Decoder_::globals_bias

Definition at line 147 of file cffgload.h.

FT_Byte** CFF_Decoder_::glyph_names

Definition at line 152 of file cffgload.h.

FT_Pos CFF_Decoder_::glyph_width

Definition at line 135 of file cffgload.h.

Referenced by cff_operator_seac(), and cff_slot_load().

FT_Render_Mode CFF_Decoder_::hint_mode

Definition at line 155 of file cffgload.h.

FT_Byte** CFF_Decoder_::locals

Definition at line 149 of file cffgload.h.

FT_Int CFF_Decoder_::locals_bias

Definition at line 146 of file cffgload.h.

FT_Pos CFF_Decoder_::nominal_width

Definition at line 136 of file cffgload.h.

FT_Int CFF_Decoder_::num_flex_vectors

Definition at line 132 of file cffgload.h.

FT_UInt CFF_Decoder_::num_globals

Definition at line 144 of file cffgload.h.

FT_UInt CFF_Decoder_::num_glyphs

Definition at line 153 of file cffgload.h.

FT_Int CFF_Decoder_::num_hints

Definition at line 140 of file cffgload.h.

FT_UInt CFF_Decoder_::num_locals

Definition at line 143 of file cffgload.h.

FT_Bool CFF_Decoder_::read_width

Definition at line 138 of file cffgload.h.

FT_Bool CFF_Decoder_::seac

Definition at line 157 of file cffgload.h.

Referenced by cff_operator_seac().

FT_Fixed CFF_Decoder_::stack[CFF_MAX_OPERANDS+1]

Definition at line 125 of file cffgload.h.

FT_Fixed* CFF_Decoder_::top

Definition at line 126 of file cffgload.h.

FT_Bool CFF_Decoder_::width_only

Definition at line 139 of file cffgload.h.

Referenced by cff_slot_load().

CFF_Decoder_Zone* CFF_Decoder_::zone

Definition at line 129 of file cffgload.h.

CFF_Decoder_Zone CFF_Decoder_::zones[CFF_MAX_SUBRS_CALLS+1]

Definition at line 128 of file cffgload.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/cff/cffgload.h